# Class TreeControlCellComponent

#### Implements

- OnInit
- DoCheck

- Defined in packages/angular/material/table-system/src/lib/cells/tree-control-cell/tree-control-cell.component.ts:28

#####
Index

### Constructors

constructor

### Properties

element
expandIcon
icon
offset

### Methods

ngDoCheck
ngOnInit
toggleExpand
updateIcon

## Constructors

### constructor

- new TreeControlCellComponent(): TreeControlCellComponent

- #### Returns TreeControlCellComponent

## Properties

### element

element: any

- Defined in packages/angular/material/table-system/src/lib/cells/tree-control-cell/tree-control-cell.component.ts:36

### expandIcon

expandIcon: string

- Defined in packages/angular/material/table-system/src/lib/cells/tree-control-cell/tree-control-cell.component.ts:33

### icon

icon: IconConfig

- Defined in packages/angular/material/table-system/src/lib/cells/tree-control-cell/tree-control-cell.component.ts:31

### offset

offset: string

- Defined in packages/angular/material/table-system/src/lib/cells/tree-control-cell/tree-control-cell.component.ts:30

## Methods

### ngDoCheck

- ngDoCheck(): void

- #### Returns void

  Implementation of DoCheck.ngDoCheck

  - Defined in packages/angular/material/table-system/src/lib/cells/tree-control-cell/tree-control-cell.component.ts:43

### ngOnInit

- ngOnInit(): void

- #### Returns void

  Implementation of OnInit.ngOnInit

  - Defined in packages/angular/material/table-system/src/lib/cells/tree-control-cell/tree-control-cell.component.ts:38

### toggleExpand

- toggleExpand(): any

- #### Returns any

  - Defined in packages/angular/material/table-system/src/lib/cells/tree-control-cell/tree-control-cell.component.ts:47

### `Private` updateIcon

- updateIcon(): void

- #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/cells/tree-control-cell/tree-control-cell.component.ts:51